# Report an Issue

If you encounter a possible bug with PacketFence, you can [open an issue](https://github.com/inverse-inc/packetfence/issues/new).

Please make sure to respect the following guidelines when reporting a bug:

* verify that the bug you found is not [already known](https://github.com/inverse-inc/packetfence/issues) or even fixed in the trunk version
* make the actual facts very clear; be precise, we need to be able to reproduce the problem
* explain your speculations, if any
* add a screenshot to the ticket if appropriate

# Contribute to the core code or fix bugs (Pull Requests)

Thank you for your interest in contributing to PacketFence! We have developed an Individual Contributor License Agreement (CLA) for developers to sign when submitting code to Inverse on our public repositories through PRs on GitHub (or other methods). This CLA allows us to merge in code (or build upon suggested code) in our projects, giving us the ability to utilize that code in the course of our business. A CLA is vital to building up public code repositories that can be used by a business. The use of CLAs is common in the development of software, especially open source software.

The CLA is used to protect the rights of you the Contributor, Inverse, and Inverse's users. The CLA does not take away any right, title, or interest you have in your contribution and only assigns the rights specified in the CLA to Inverse in order to allow Inverse and Inverse's users to use your contribution.

* Make sure you have a [GitHub account](https://github.com/signup/free)
* Fork the repository on GitHub
* Open a pull request
* Before we can accept your patches, you'll have to sign the Contributors License Agreement
